mode(-1);
P=get_absolute_file_path('builder.sce')
write(%io(2),'building discrete optimal control toolbx');
write(%io(2),'without state constraints: dynoptim');

// [2] src directory 

if c_link('libdoc') 
  write(%io(2),'please do not rebuild a shared library while it is linked')
  write(%io(2),'in scilab. use ulink to unlink first');
else 
  dir=getcwd();
  chdir(P+'src/Sans_contrainte')
  exec builder.sce 
  chdir(dir)
end 
if c_link('libdocsc') 
  write(%io(2),'please do not rebuild a shared library while it is linked')
  write(%io(2),'in scilab. use ulink to unlink first');
else 
  dir=getcwd();
  chdir(P+'src/Avec_contraintes')
  exec builder.sce 
  chdir(dir)
end 
// [3]  macros directory
genlib('dynoptimlib',P+'macros') 
// [4] man directory
// xmltohtml(P+man+'/'doc,'Dynoptim')
// [5] generate Path.incl 

     F=mopen(P+'Path.incl','w');
     mfprintf(F,'SCIDIR='+SCI+'\n');
     mfprintf(F,'SCIDIR1='+strsubst(SCI,'/','\\')+'\n');
     mclose(F);






