exec ../loader.sce

deff('y=L(u,x,t)','y=norm(x)^2+norm(u)^2')
deff('y=L_cmd(u,x,t)','y=2*u')
deff('y=L_etat(u,x,t)','y=2*x')

deff('y=f(u,x,t)','y(1)=-u+x(1),y(2)=-2*x(1)+x(2)')
deff('y=f_cmd(u,x,t)','y=[-1;0]')
D=[1,0;-2,1]
deff('y=f_etat(u,x,t)','y=D')

deff('y=phi(x,t)','y=0')
deff('y=phi_etat(x,t)','y=[0,0]')


nom_L=["L","L_cmd","L_etat"];
nom_f=["f","f_cmd","f_etat"];
nom_phi=["phi","phi_etat"];

ub=-100*ones(1,10);
uh=100*ones(1,10);
u0=-100+200*rand(1,10);

x0=[100;200]

[Uopt,Xopt,Jopt,Gradopt]=dynoptim(nom_L,nom_f,nom_phi,ub,u0,uh,x0);
plot(Uopt)
