function y=logti(conso)
epsilon=0.5;
if conso>epsilon then
y=-log(conso)
else
y=1/2*conso^2-(epsilon+1/epsilon)*conso+ epsilon^2/2+1-log(epsilon)
end;

function y=logti_x(conso)
epsilon=0.5;
if conso>epsilon then
y=-1/conso
else
y=conso-(epsilon+1/epsilon)
end;


function [y,conso]=Crit(a,x,t)
conso=(1-xsi(x(2)))*output(x(1),L(t+1))-a(1)-chi*Lambda(t)*Em(x(1),t)*a(2)^pi;
y=logti(conso)/(1+rho)^(delta*t);


function y=Crit_cmd(a,x,t)
conso=(1-xsi(x(2)))*output(x(1),L(t+1))-a(1)-chi*Lambda(t)*Em(x(1),t)*a(2)^pi;
y=zeros(1,2);
y(1,1)=-logti_x(conso)/((1+rho)^(delta*t));
y(1,2)=-pi*chi*Lambda(t)*Em(x(1),t)*a(2)^(pi-1)*logti_x(conso)/((1+rho)^(delta*t));


function y=Crit_etat(a,x,t)
conso=(1-xsi(x(2)))*output(x(1),L(t+1))-a(1)-chi*Lambda(t)*Em(x(1),t)*a(2)^pi;
y=zeros(1,2);
y(1,1)=-(chi*Lambda(t)*Em_K(x(1),t)*a(2)^pi+(1-xsi(x(2)))*output_K(x(1),L(t+1)))*logti_x(conso)/((1+rho)^(delta*t));
y(1,2)=-xsi_m(x(2))*output(x(1),L(t+1))*logti_x(conso)/((1+rho)^(delta*t));

function y=f(a,x,t);
y(1)=(1-delta*deprec)*x(1)+delta*a(1);
y(2)=x(2)+delta*(beta*Em(x(1),t)*(1-a(2))-sigma*(x(2)-Minf));

function y=f_etat(a,x,t);
y=[(1-delta*deprec),0;
delta*beta*Em_K(x(1),t)*(1-a(2)),1-delta*sigma];

function y=f_cmd(a,x,t);
y=[delta,0;
0,-delta*beta*Em(x(1),t)];

function y=phi(x,t);
y=0;
 
function y=phi_etat(x,t);
y(1)=0;
y(2)=0;

