//****************************************************
//*                                                  * 
//*                Un petit exemple                  *
//*                                                  *
//****************************************************

//-------------------------- L et ses gradients-------------------------------

deff('y=L(u,x,t)','y=(0.5*x^2)')

deff('y=L_cmd(u,x,t)','y=0')

deff('y=L_etat(u,x,t)','y=x')


// ------------------------f et ses gradients----------------------------------


deff('y=f(u,x,t)','y=u')
 
deff('y=f_etat(u,x,t)','y=0')

deff('y=f_cmd(u,x,t)','y=1')



// ------------------------phi et ses gradients--------------------------------

deff('y=phi(x,t)','y=0')

deff('y=phi_etat(x,t)','y=0')


// definition des parametres du probleme
e0=[1];
xb=zeros(1,12);
xh=zeros(1,12)+1;
x0=rand(1,12);

nom_L=["L","L_cmd","L_etat"];
nom_f=["f","f_cmd","f_etat"];
nom_phi=["phi","phi_etat"];

[Uopt,Eopt,Jopt,Gradopt]=dynoptim(nom_L,nom_f,nom_phi,xb,x0,xh,e0);



